net.sf.jasperreports.charts.design

## Class JRDesignPieSeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBasePieSeries
  - - net.sf.jasperreports.charts.design.JRDesignPieSeries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRPieSeries, JRChangeEventsSupport, JRCloneable

      public class JRDesignPieSeries
      extends JRBasePieSeries
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignPieSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_KEY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_SECTION_HYPERLINK`
    `static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBasePieSeries

      `keyExpression, labelExpression, sectionHyperlink, valueExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignPieSeries()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setKeyExpression(JRExpression keyExpression)`
    `void` | `setLabelExpression(JRExpression labelExpression)`
    `void` | `setSectionHyperlink(JRHyperlink sectionHyperlink)` Sets the hyperlink specification for pie chart sections.
    `void` | `setValueExpression(JRExpression valueExpression)`

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBasePieSeries

      `getKeyExpression, getLabelExpression, getSectionHyperlink, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_KEY_EXPRESSION

          public static final java.lang.String PROPERTY_KEY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_SECTION_HYPERLINK

          public static final java.lang.String PROPERTY_SECTION_HYPERLINK

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_VALUE_EXPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignPieSeries

          public JRDesignPieSeries()

  - ### Method Detail

    - #### setKeyExpression

          public void setKeyExpression(JRExpression keyExpression)

    - #### setValueExpression

          public void setValueExpression(JRExpression valueExpression)

    - #### setLabelExpression

          public void setLabelExpression(JRExpression labelExpression)

    - #### setSectionHyperlink

          public void setSectionHyperlink(JRHyperlink sectionHyperlink)

      Sets the hyperlink specification for pie chart sections.
      Parameters:
        `sectionHyperlink` - the hyperlink specification
      See Also:
        `JRBasePieSeries.getSectionHyperlink()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBasePieSeries`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com